Package com.collibra.dgc.core.api.component.meta

# Interface StatusApi

public interface StatusApi
Contains all API operations for handling Statuses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Status`
  `addStatus(AddStatusRequest addStatusRequest)`
  Adds a Status.
  `List<Status>`
  `addStatuses(List<AddStatusRequest> addStatusRequests)`
  Adds Statuses.
  `Status`
  `changeStatus(ChangeStatusRequest changeStatusRequest)`
  Changes the Status with the information present in the request.
  `List<Status>`
  `changeStatuses(List<ChangeStatusRequest> changeStatusRequests)`
  Changes the Statuses with the information present in the request.
  `boolean`
  `exists(UUID statusId)`
  Returns true if a Status with given `id` exists.
  `PagedResponse<Status>`
  `findStatuses(FindStatusesRequest findStatusesRequest)`
  Returns Statuses matching the given search input
  `Status`
  `getStatus(UUID statusId)`
  Returns the Status with the given id.
  `Status`
  `getStatusByName(String statusName)`
  Returns the Status with the given name.
  `void`
  `removeStatus(UUID statusId)`
  Remove the Status with the given id.
  `void`
  `removeStatuses(List<UUID> statusIds)`
  Removes the Statuses with the given ids.

- ## Method Details

  - ### getStatus

    Status getStatus(UUID statusId)
    Returns the Status with the given id.
    Parameters:
      `statusId` - the id of the Status
    Returns:
      the found Status

  - ### getStatusByName

    Status getStatusByName(String statusName)
    Returns the Status with the given name.
    Parameters:
      `statusName` - the name of the Status
    Returns:
      the found Status

  - ### exists

    boolean exists(UUID statusId)
    Returns true if a Status with given `id` exists.
    Parameters:
      `statusId` - the `id` of the Status
    Returns:
      true if a Status with given `id` exists, `false` otherwise

  - ### addStatus

    Status addStatus(AddStatusRequest addStatusRequest)
    Adds a Status.
    Parameters:
      `addStatusRequest` - information required to create the Status
    Returns:
      the created Status

  - ### removeStatus

    void removeStatus(UUID statusId)
    Remove the Status with the given id.
    Parameters:
      `statusId` - the id of the Status

  - ### findStatuses

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<Status> findStatuses(FindStatusesRequest findStatusesRequest)
    Returns Statuses matching the given search input
    Parameters:
      `findStatusesRequest` - specified search criteria for search Statuses.
    Returns:
      the found Statuses

  - ### changeStatus

    Status changeStatus(ChangeStatusRequest changeStatusRequest)
    Changes the Status with the information present in the request. Only the information present in the request is considered. Other properties are left untouched.
    Parameters:
      `changeStatusRequest` - changes to be performed on the Status
    Returns:
      the update Status.

  - ### addStatuses

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionFormatter.class) List<Status> addStatuses(List<AddStatusRequest> addStatusRequests)
    Adds Statuses.
    Parameters:
      `addStatusRequests` - list of information required to create the Status
    Returns:
      the list of created Statuses

  - ### removeStatuses

    void removeStatuses(List<UUID> statusIds)
    Removes the Statuses with the given ids.
    Parameters:
      `statusIds` - the Status Ids

  - ### changeStatuses

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionFormatter.class) List<Status> changeStatuses(List<ChangeStatusRequest> changeStatusRequests)
    Changes the Statuses with the information present in the request.
    Parameters:
      `changeStatusRequests` - changes to be performed on the Statuses
    Returns:
      the list of updated Statuses